Subject: Re: [RFC 1/3] hvc_console: rework setup to replace irq functions with callbacks

From: Rusty Russell <[email-masked]>
Date: Wed, 4 Jun 2008 10:13:40 +1000

On Tuesday 03 June 2008 22:45:22 Christian Borntraeger wrote:
> This patch tries to change hvc_console to not use request_irq/free_irq if
> the backend does not use irqs. This allows virtio_console to use
> hvc_console without having a linker reference to request_irq/free_irq.

Two questions.  Is it possible to make the timer backoff a third kind of 
notifier?  And is it possible to make the dependency static, rather than 
dynamic, or does someone need two options at runtime?

Thanks,
Rusty.